Subject: bug#23529: Request for fixing randomize_va_space build issues

From: Philipp Stephani <[email-masked]>
Date: Mon, 12 Sep 2016 06:09:10 +0000

Clément Pit--Claudel <[email-masked]> schrieb am Mo., 12. Sep. 2016
um 04:59 Uhr:

> On 2016-09-11 22:30, Eli Zaretskii wrote:
> >> From: Philippe Vaucher <[email-masked]>
> >> Date: Sun, 11 Sep 2016 21:32:51 +0200
> >> Cc: Paul Eggert <[email-masked]>, Philipp Stephani <
> [email-masked]>, [email-masked]
> >>
> >>>>     What about disabling randomization for the temacs run?
> >>>>
> >>>> That is yet another low-level thing to configure, and to get right in
> new ports.
> >>>
> >>> We already have that in Emacs, don't we?
> >>
> >> That is exactly why I made the bug report 23529!
> >>
> >> Because Emacs does stuffs at build time that requires "high"
> >> privileges (like the personality() syscall), one cannot build Emacs in
> >> various restricted environments.
> >>
> >> Disabling randomization is exactly what we should get rid of, at least
> >> at build time.
> >
> > Isn't it the other way around: the first priority is to enable
> > randomization and all the other modern techniques for running the
> > dumped Emacs?
>
> I think we want to be able to build the full Emacs in a container; that is
> without needing, at any point in the process, to disable randomization.  If
> I understand correctly, this means that even the process of dumping Emacs
> cannot involve disabling randomization.
>

Yes, that's correct. No step in the build process should have to disable
randomization.